poky/bitbake/lib/bb/pysh/pyshtables.py should be ignored by git as it is
generated. If kept in the repo, causes subsequent runs of sdk-update to fail.

[ YOCTO #10963 ]

Signed-off-by: Andrea Galbusera <[email protected]>
---
 scripts/oe-publish-sdk | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/oe-publish-sdk b/scripts/oe-publish-sdk
index 4fe8974..8979405 100755
--- a/scripts/oe-publish-sdk
+++ b/scripts/oe-publish-sdk
@@ -114,9 +114,9 @@ def publish(args):
 
     # Setting up the git repo
     if not is_remote:
-        cmd = 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e .git ]; 
then git init .; mv .git/hooks/post-update.sample .git/hooks/post-update; echo 
"*.pyc\n*.pyo" > .gitignore; fi; git add -A .; git config user.email 
"[email protected]" && git config user.name "OE" && git commit -q -m "init repo" || 
true; git update-server-info' % (destination, destination)
+        cmd = 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e .git ]; 
then git init .; mv .git/hooks/post-update.sample .git/hooks/post-update; echo 
"*.pyc\n*.pyo\npoky/bitbake/lib/bb/pysh/pyshtables.py" > .gitignore; fi; git 
add -A .; git config user.email "[email protected]" && git config user.name "OE" && 
git commit -q -m "init repo" || true; git update-server-info' % (destination, 
destination)
     else:
-        cmd = "ssh %s 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e 
.git ]; then git init .; mv .git/hooks/post-update.sample 
.git/hooks/post-update; echo '*.pyc\n*.pyo' > .gitignore; fi; git add -A .; git 
config user.email '[email protected]' && git config user.name 'OE' && git commit -q -m 
\"init repo\" || true; git update-server-info'" % (host, destdir, destdir)
+        cmd = "ssh %s 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e 
.git ]; then git init .; mv .git/hooks/post-update.sample 
.git/hooks/post-update; echo 
'*.pyc\n*.pyo\npoky/bitbake/lib/bb/pysh/pyshtables.py' > .gitignore; fi; git 
add -A .; git config user.email '[email protected]' && git config user.name 'OE' && 
git commit -q -m \"init repo\" || true; git update-server-info'" % (host, 
destdir, destdir)
     ret = subprocess.call(cmd, shell=True)
     if ret == 0:
         logger.info('SDK published successfully')
-- 
2.7.4

-- 
_______________________________________________
Openembedded-core mailing list
[email protected]
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Reply via email to